<!-- tableau liste plans -->
<!-- TODO: add role display view control -->
<div class="main-container">
  <div class="dashboard-title d-flex flex-row align-items-center  p-5">
    <div class="dropdown" *ngIf="loggedInUser.role?.id != 4 && loggedInUser.role?.id != 3">
      <button class="btn dropdown-toggle pe-3"
              type="button"
              id="dropdownMenuButton1"
              data-bs-toggle="dropdown"
              aria-expanded="false">
        <svg id="dots" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 29.96 122.88">
          <defs>
            <style>.cls-1{fill-rule:evenodd;}</style>
          </defs>
          <title>3-vertical-dots</title>
          <path class="cls-1" d="M15,0A15,15,0,1,1,0,15,15,15,0,0,1,15,0Zm0,92.93a15,15,0,1,1-15,15,15,15,0,0,1,15-15Zm0-46.47a15,15,0,1,1-15,15,15,15,0,0,1,15-15Z"/>
        </svg>
      </button>
      <ul class="dropdown-menu p-0" aria-labelledby="dropdownMenuButton1">
        <li><a class="dropdown-item" href="#">Modifier</a></li>
        <li><a class="dropdown-item" href="#">Supprimer</a></li>
      </ul>
    </div>
    <span *ngIf="projet" >{{ projet.nom | uppercase}}</span>
  </div>
  <div class="table-header container-fluid d-flex ">
    <div class="table-title container-fluid d-flex align-items-center">
      <app-add-plan-popup [loggedInUser]="loggedInUser"></app-add-plan-popup>
      <h1 class="text-grey">Plans</h1>
    </div>
    <span class="span-link text-no-wrap d-flex align-items-center" *ngIf="loggedInUser.role?.id != 4" (click)="redirect('gestionnaire-de-plans')"
       style="cursor: pointer;">
      Gestionnaire de Plans de Tests</span>
  </div>

  <!--Add the search bar-->
  <div class="ms-4 mb-2" >
    <form class="d-flex"   >
      <input (ngModelChange)="search(key.value)" #key="ngModel" ngModel name="key" class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
    </form>
  </div>

  <div class="table-container table-responsive">
    <table class="table table-striped text-grey">
      <caption>Tableau de la liste des plans</caption>
      <thead>
      <tr>
        <th class="center sm" scope="col">#</th>
        <th scope="col">Intitulé</th>
        <th scope="col">Détails</th>
        <th class="center sm" scope="col">Projet</th>
        <th class="center sm" scope="col">Aperçu</th>


      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let plan of plans; index as index "
          id="{{ plan.id }}">
        <th scope="row"
            class="center sm text-grey"
            (click)="redirect('dashboard-plan', plan, 'plan')"
            *ngIf="!plan.archive">{{ plan.id }}</th>
        <td class="text-grey"
            (click)="redirect('dashboard-plan', plan, 'plan')"
            style="cursor: pointer;"
            *ngIf="!plan.archive">
           {{ plan.nom }}
        </td>
        <td class="text-grey"
            (click)="redirect('dashboard-plan', plan, 'plan')"
            style="cursor: pointer;"
            *ngIf="!plan.archive">
          {{ plan.details }}</td>
        <td class="center sm text-grey"
            *ngIf="!plan.archive">{{ projet.id }}</td>
        <!--
        <td id="version{{ plan.plan_id }}">{{ plan.projet.version }}</td>
        -->
        <td id="aperçu{{ plan.id }}}"
            (click)="onClick($event, plan)"
            style="cursor: pointer;"
            class="center sm text-grey"
            *ngIf="!plan.archive">
          <img src="../../../assets/16x16.png" alt="eye-icon">
        </td>
      </tr>
      <tr *ngIf="!plans?.length">
        <td colspan="5" style="text-align: center">Aucun plan à afficher</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>

<!-- Modal Plan-->
<div class="modal" id="myModal" [style.display]="showModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Détails du Plan de Tests :</h4>
        <button type="button" class="close" data-dismiss="modal" (click) = "hide()">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <p>Plan Id : {{ planId }}</p>
        <p>Intitulé : {{ planNom }}</p>
        <p>Détails : {{ planDetails }}</p>

        <!--
        <p>Version : {{ planProjet.version }}</p>
        -->
      </div>
      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click) = "hide()">Close</button>
      </div>
    </div>
  </div>
</div>
